/* Range slider ================ */
.range-slider__title {
  margin-bottom: 33px;
  font-weight: var(--text-font-weight-bold);
  color: var(--color-black-light);

  span {
    font-size: var(--text-size-small);
    font-weight: var(--text-font-weight-regular);
    color: var(--color-black-light);

    @media (--tablet-max) {
      display: block;
    }
  }
}

.range-slider {
  display: block;
  width: 100%;

  .irs-line {
    border-radius: 6px;
    background-color: var(--color-gray);
  }

  .irs-bar {
    border-radius: 6px;
    background-color: var(--color-primary-light);
  }

  .irs-handle {
    width: 34px;
    height: 34px;
    top: 15px;
    border-radius: 50%;
    background-color: var(--color-white);
    box-shadow: 0 0 0 5px var(--color-primary-light) inset;

    i {
      display: none !important;
    }
  }

  .irs-single {
    padding: 7px 20px;
    top: -30px;
    background-color: var(--color-gray);
    font-family: var(--font-open-sans);
    font-size: 16px;
    color: var(--color-white);

    @media (--tablet-max) {
      padding: 5px 10px ;
    }

    &::before {
      margin-left: -8px;
      bottom: -16px;
      border: 8px solid transparent;
      border-top-color: var(--color-gray);
    }
  }

  .irs-min,
  .irs-max {
    top: 60px;
    background: transparent;
    font-size: 16px;
    color: var(--color-black-light);
    visibility: visible !important;
  }

  .irs-min {

    &::before {
      content: "Мин. ";
    }
  }

  .irs-max {

    &::before {
      content: "Макс. ";
    }
  }
}

/* ================ end range slider */
